Recommendations - List
列出订阅的所有建议的说明。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/recommendations?api-version=2025-03-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/recommendations?api-version=2025-03-01&featured={featured}&$filter={$filter}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
|
$filter
|
query |
string |
筛选器是使用 OData 语法指定的。 示例:$filter=channel eq 'Api' 或 channel eq 'Notification' 和 startTime eq 2014-01-01T00:00:00Z 和 endTime eq 2014-12-31T23:59:59Z 和 timeGrain eq duration'[PT1H|PT1M|P1D] |
|
|
featured
|
query |
boolean |
指定 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
请求已成功。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
定义
| 名称 | 说明 |
|---|---|
| Channels |
此建议可以应用的渠道列表。 |
|
Default |
应用服务错误响应。 |
|
Default |
错误模型。 |
|
Default |
详细错误。 |
|
Notification |
级别,指示此建议可能产生的影响有多严重。 |
| Recommendation |
表示推荐引擎生成的推荐结果。 |
|
Recommendation |
建议的集合。 |
|
Resource |
此建议适用的资源类型的名称,例如订阅、ServerFarm、站点。 |
Channels
此建议可以应用的渠道列表。
| 值 | 说明 |
|---|---|
| Notification | |
| Api | |
| Webhook | |
| All |
DefaultErrorResponse
应用服务错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误模型。 |
DefaultErrorResponseError
错误模型。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
标准化字符串,以编程方式识别错误。 |
| details |
详细错误。 |
|
| innererror |
string |
调试错误的更多信息。 |
| message |
string |
详细的错误描述和调试信息。 |
| target |
string |
详细的错误描述和调试信息。 |
DefaultErrorResponseErrorDetailsItem
详细错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
标准化字符串,以编程方式识别错误。 |
| message |
string |
详细的错误描述和调试信息。 |
| target |
string |
详细的错误描述和调试信息。 |
NotificationLevel
级别,指示此建议可能产生的影响有多严重。
| 值 | 说明 |
|---|---|
| Critical | |
| Warning | |
| Information | |
| NonUrgentSuggestion |
Recommendation
表示推荐引擎生成的推荐结果。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| kind |
string |
资源类型。 |
| name |
string |
资源名称。 |
| properties.actionName |
string |
此对象建议的作的名称。 |
| properties.bladeName |
string |
指向门户上边栏选项卡的深层链接。 |
| properties.categoryTags |
string[] |
此建议所属的类别标记列表。 |
| properties.channels |
此建议可以应用的渠道列表。 |
|
| properties.creationTime |
string (date-time) |
创建此实例时的时间戳。 |
| properties.displayName |
string |
规则的 UI 友好名称(可能不是唯一的)。 |
| properties.enabled |
integer (int32) |
如果此建议仍然有效(即“可作”),则为 True。 如果无效,则为 False。 |
| properties.endTime |
string (date-time) |
建议引用的范围的结束时间(以 UTC 为单位)。 |
| properties.extensionName |
string |
门户的扩展名(如果存在)。 |
| properties.forwardLink |
string |
转发指向与规则关联的外部文档的链接。 |
| properties.isDynamic |
boolean |
如果这与动态添加的规则相关联,则为 True |
| properties.level |
级别,指示此建议可能产生的影响有多严重。 |
|
| properties.message |
string |
建议文本。 |
| properties.nextNotificationTime |
string (date-time) |
何时在 UTC 中通知此建议。 Null 表示永远不会再通知它。 |
| properties.notificationExpirationTime |
string (date-time) |
此通知到期的日期和时间(UTC)。 |
| properties.notifiedTime |
string (date-time) |
UTC 中的最后一个时间戳实际上已通知此实例。 Null 表示尚未通知此建议。 |
| properties.recommendationId |
string (uuid) |
与每个建议对象关联的 GUID 值。 |
| properties.resourceId |
string |
与此建议对象关联的完整 ARM 资源 ID 字符串。 |
| properties.resourceScope |
此建议适用的资源类型的名称,例如订阅、ServerFarm、站点。 |
|
| properties.ruleName |
string |
规则的唯一名称。 |
| properties.score |
number (double) |
规则衡量的指标值。 |
| properties.startTime |
string (date-time) |
建议引用的范围的开始时间(以 UTC 为单位)。 |
| properties.states |
string[] |
本建议的状态列表。 如果它为 null,则应将其视为“活动”。 |
| type |
string |
资源类型。 |
RecommendationCollection
建议的集合。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项目的链接 |
| value |
本页推荐项目 |
ResourceScopeType
此建议适用的资源类型的名称,例如订阅、ServerFarm、站点。
| 值 | 说明 |
|---|---|
| ServerFarm | |
| Subscription | |
| WebSite |